library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use work.led_palkki.ALL;

entity led_rima is
	Port( ledit: out std_logic_vector(8 downto 0);
			anturit: in std_logic_vector(2 downto 0));
end led_rima;

architecture Behavioral of led_rima is

signal ohjaus : std_logic_vector(8 downto 0);

begin

  ohjaus(anturit,ohjaus);

  ledit <= ohjaus;

end Behavioral;
